Developer Documentation

Public Member Functions | Private Attributes | List of all members
VSI::ElementInput Class Reference

`#include <Plugin-VSI/scene/elementInput.hh>`

Inheritance diagram for VSI::ElementInput:

## Public Member Functions
| ElementInput (Input *_in, SceneElement *_parent)
| Constructor.
| ~ElementInput ()
| Destructor.
Type | type () const
| Type (=Input)
void | setValid (bool _value)
| Sets the valid flag (needed during code generation)
bool | valid ()
| Returns state of valid flag (needed during code generation)
void | setValue (QString _value)
| Set to a user value.
QString | value () const
| Returns value set by user.
void | addConnection (Connection *_conn)
| Add connection.
void | removeConnection (Connection *_conn)
| Remove connection.
void | set (bool _set)
| "Set" flag to mark input as set by user
bool | isSet ()
| Return "set" flag.
void | setForceAsk (bool _set)
| "ForceAsk" flag to mark an optional input for asking during script execution
bool | isForceAskSet () const
| Return "ForceAsk" flag.
unsigned int | state ()
| VSI::Input state passthrough.
void | saveToXml (QDomDocument &_doc, QDomElement &_root)
| Save to xml.
void | loadFromXml (QXmlQuery &_xml)
| Load from xml.
Public Member Functions inherited from VSI::ElementInOut
| ElementInOut (InOut *_io, SceneElement *_parent)
| Constructor.
virtual | ~ElementInOut ()
| Destructor.
ConnectionPoint * | connectionPointItem () const
| Connection point widget.
Text * | typeTextItem () const
| Type text widget.
Text * | descriptionTextItem () const
| Short description widget.
QList< Connection * > | connections () const
| Connections.
bool | validConnection (ElementInOut *_e)
| Can this input/output be connected to _e.
InOut * | inOut () const
| InOut context object.
SceneElement * | element ()
| Scene element.

## Private Attributes
Input * | in_
bool | valid_
bool | isSet_
QString | value_
bool | forceAsk_

## Additional Inherited Members
Public Types inherited from VSI::ElementInOut
enum | Type { TypeInput, TypeOutput }
| Type.

## Detailed Description

Class for inputs of a scene element. It handles all the different ways of input (connection to an output, user configured during script creation, asking user during script execution, optional)

Definition at line 67 of file elementInput.hh.

The documentation for this class was generated from the following files:

- Plugin-VSI/scene/elementInput.hh
- Plugin-VSI/scene/elementInput.cc